<?xml version="1.0" encoding="UTF-8"?>
<persistence version="1.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_1_0.xsd">
  <persistence-unit name="FEST_PU" transaction-type="JTA">
    <provider>org.hibernate.ejb.HibernatePersistence</provider>
    <jta-data-source>jdbc/demo</jta-data-source>
    <class>com.payrollSystem.entity.common.Admin</class>
    <class>com.payrollSystem.entity.common.AdminProfile</class>
    <class>com.payrollSystem.entity.common.AdminProfileRoleMap</class>
    <class>com.payrollSystem.entity.common.AdminRole</class>
    <class>com.payrollSystem.entity.common.Branch</class>
     <class>com.payrollSystem.entity.common.BillingPeriod</class>
    <class>com.payrollSystem.entity.common.College</class>
    <class>com.payrollSystem.entity.common.Department</class>
    <class>com.payrollSystem.entity.common.Designation</class>
    <class>com.payrollSystem.entity.common.District</class>
    <class>com.payrollSystem.entity.common.Ethnicity</class>
    <class>com.payrollSystem.entity.common.FeeGroup</class>
    <class>com.payrollSystem.entity.common.Gender</class>
    <class>com.payrollSystem.entity.common.LedgerGroup</class>
    <class>com.payrollSystem.entity.common.Province</class>
    <class>com.payrollSystem.entity.common.Status</class>
    <exclude-unlisted-classes>true</exclude-unlisted-classes>
    <properties>
      <property name="hibernate.dialect" value="org.hibernate.dialect.MySQLDialect"/>
      <property name="hibernate.hbm2ddl.auto" value="update"/>
      <!--<property name="hibernate.show_sql" value="true"/>-->
      <!--<property name="hibernate.cache.provider_class" value="org.hibernate.cache.NoCacheProvider"/>-->
      <property name="hibernate.transaction.jta.platform" value="org.hibernate.service.jta.platform.internal.SunOneJtaPlatform"/>
      <!--<property name="hibernate.enable_lazy_load_no_trans" value="true"/>-->
    </properties>
  </persistence-unit>
</persistence>
